<template>
  <div id="list" v-if="listSampah.length !== 0">
    <div v-for="list in listSampah" class="card mb-2">
      <div class="card-body position-relative">
        <p class="mb-0">{{list.name}}</p>
        <small class="text-muted">{{list.material.name}}</small>
        <small @click.prevent="deleteType(list.id)" id="btn-hapus" class="text-danger" style="cursor:pointer">Hapus</small>
      </div>
    </div>
  </div>
  <div v-else>
    <p class="text-center">Tidak ada data ditemukan!</p>
  </div>
</template>

<script>
export default{
  data(){
    return {
      listSampah:[]
    }
  },
  async created(){
    try {
      const list = await this.$axios.$get('/types')
      console.log(list);
      this.listSampah = list.types

    } catch (error) {
      console.log(error.message);
      console.log('check backend running or not!');
      console.log(this.listSampah);
    }
  },
  methods:{
    deleteType:async function (id) {
      try {
        // console.log(id);
        const res = await this.$axios.$delete('/types/'+id)
        console.log(res);

        this.listSampah = this.listSampah.filter((v,i)=>{
          return v.id !== id
        })

      } catch (error) {
        console.log(error.message);
      }

    }
  }
}

</script>

<style scoped>
#btn-hapus{
  position: absolute;
  right: 10px;
  bottom: 10px;
}
</style>
